
import java.awt.event.*;

public class CircleMouseListener implements MouseListener
{
   private final CircleState cs;
   private final CirclePanel cp;

   public CircleMouseListener(CircleState cs, CirclePanel cp)
   {
      this.cs = cs;
      this.cp = cp;
   }

   @Override
   public void mousePressed (MouseEvent e)
   {
      int xM = e.getX(); // coordinates of the mouse click
      int yM = e.getY();
      int xD = cs.xOld;  // coordinates of the red dot
      int yD = cs.yOld;

      //Graphics g = cp.getGraphics();
      //int c = image.getRGB(x, y)

      if ( xD <= xM && xM <= xD+20
        && yD <= yM && yM <= yD+20 ) // hit the red dot
      {
         cs.inside = true;
         System.out.println("Inside\n");
      }
      else
      {
         System.out.println("Outside\n");
      }
   }

   @Override
   public void mouseReleased(MouseEvent e)
   {
      cs.inside = false;
      System.out.println(e+"\n");
   }

   @Override
   public void mouseExited  (MouseEvent e)
   {
      System.out.println(e+"\n");
   }


   // don't need
   @Override public void mouseEntered (MouseEvent e) {
      //System.out.println(e+"\n");
   }
   @Override public void mouseClicked (MouseEvent e) {
      //System.out.println(e+"\n");
   }

}
